// Copyright (c) 2024 Codemongous LLC. All Rights Reserved.

#include "SCW_UK2Node_Switch.h"
#include "K2Node_Switch.h"
#include "SourcifyCoreUEWrapperModule.h"

using namespace Sourcify;

SCW_UK2Node_Switch::SCW_UK2Node_Switch(UK2Node_Switch* InK2Node_Switch) : SCW_UK2Node(InK2Node_Switch), K2Node_Switch(InK2Node_Switch)
{

}

UK2Node_Switch* SCW_UK2Node_Switch::ToUK2Node_Switch() const
{
	return K2Node_Switch;
}

ISCW_UK2Node_SwitchPtr SCW_UK2Node_Switch::ToUK2Node_SwitchPtr()
{
	return GetSharedThisAs<SCW_UK2Node_Switch>();
}

ISCW_UK2Node_SwitchConstPtr SCW_UK2Node_Switch::ToUK2Node_SwitchPtr() const
{
	return GetSharedThisAs<SCW_UK2Node_Switch>();
}